#include "raylib.h"
#include "rlImGui.h"
#include "panel.h"
#include "imgui.h"


int main() {
    const int screenWidth = 1920;
    const int screenHeight = 1080;

    InitWindow(screenWidth, screenHeight, "DMX Raylib UI");
    SetTargetFPS(60);

    rlImGuiSetup(true);  // Use true for dark theme, false for light theme

    Panel timelinePanel = {{0, 0, screenWidth * 0.75f, screenHeight * 0.6f}, "Timeline", LIGHTGRAY, DARKGRAY, true};
    Panel propertiesPanel = {{screenWidth * 0.75f, 0, screenWidth * 0.25f, screenHeight}, "Properties", LIGHTGRAY, DARKGRAY, true};

    while (!WindowShouldClose()) {
        timelinePanel.Update();
        propertiesPanel.Update();

        BeginDrawing();
        ClearBackground(RAYWHITE);

        rlImGuiBegin();
        bool open = true;
        ImGui::ShowDemoWindow(&open);
        rlImGuiEnd();

        if (timelinePanel.isVisible) timelinePanel.Draw();
        if (propertiesPanel.isVisible) propertiesPanel.Draw();

        DrawFPS(3, screenHeight - 20);
        EndDrawing();
    }

    rlImGuiShutdown();
    CloseWindow();

    return 0;
}
